/*****************************************************\
	CTux_Sprite.h	
	Author: André Schnabel
	Date: 30.10.02 - 31.10.02
	License: GPL
\*****************************************************/

#ifndef __CTUX_SPRITE_H__
#define __CTUX_SPRITE_H__

#include "CTux_Global.h"

class Sprite
{
public:
	void SetImage(SDL_Surface *newimageset, SDL_Rect *newsrcrect);
	void SetImage(const char *filename, SDL_Rect *newsrcrect);
	void Draw(int imgnr);
	void SetPos(int posx, int posy);
	void Move(int movx, int movy);
	SDL_Rect *GetRect(void);
protected:
	SDL_Surface *imageset;
	SDL_Rect srcrect, rect;
};

#endif